/*
  Système RF 433,92 Mhz pour Opel Zafira B 120 Ch 1.9 L 2007

  Le Récepteu branché sur la broche Pin 2
  A vous de faire les réglage à votre gout
  
  https://www.instructables.com/Feux-De-Jour-LED-DRL-Clignotant-Dynamique-Avec-Ani/
  https://github.com/sui77/rc-switch/

  Code de sette télécommande : 
  S1=10948312
  S2=10948308
  S3=10948316
  S4=10948306
  S5=10948314
  S6=10948310
  S7=10948318
  S8=10948305
  S9=10948313
  S10=10948309
*/

#include <RCSwitch.h>
#include <EEPROM.h>

const unsigned int upperThreshold = 70;  //valeur seuil supérieure
const unsigned int lowerThreshold = 50;  //valeur seuil inférieure
unsigned int data = 0;   // variable utilisée pour stocker les données reçues


RCSwitch mySwitch = RCSwitch();



int Volume_Augmentation = A1;
int Volume_Diminution = 4;
int Plage_Suivante = 5;
int Plage_Precedent = 6;
int Klaxon = 8;
int Acces_Ordinateur_de_Bord = 7;
int Selection_AV_OB1_OB2_Chrono = 9;
int Selection_AR_Chrono_OB2_OB1 = 10;
int Selection_Source = A0;
int Selection_Album_Radio = 3;



boolean status_Volume_Augmentation = LOW;
boolean status_Volume_Diminution = LOW;
boolean status_Plage_Suivante = LOW;
boolean status_Plage_Precedent = LOW;
boolean status_Klaxon = LOW;
boolean status_Acces_Ordinateur_de_Bord = LOW;
boolean status_Selection_AV_OB1_OB2_Chrono = LOW;
boolean status_Selection_AR_Chrono_OB2_OB1 = LOW;
boolean status_Selection_Source = LOW;
boolean status_Selection_Album_Radio = LOW;



void setup() {

  pinMode(Volume_Augmentation,OUTPUT);
  pinMode(Volume_Diminution,OUTPUT);
  pinMode(Plage_Suivante,OUTPUT);
  pinMode(Plage_Precedent,OUTPUT);
  pinMode(Klaxon,OUTPUT);
  pinMode(Acces_Ordinateur_de_Bord,OUTPUT);
  pinMode(Selection_AV_OB1_OB2_Chrono,OUTPUT);
  pinMode(Selection_AR_Chrono_OB2_OB1,OUTPUT);
  pinMode(Selection_Source,OUTPUT);
  pinMode(Selection_Album_Radio,OUTPUT);

  digitalWrite(Volume_Augmentation, HIGH);
  digitalWrite(Volume_Diminution, HIGH);
  digitalWrite(Plage_Suivante, HIGH);
  digitalWrite(Plage_Precedent, HIGH);
  digitalWrite(Klaxon, HIGH);
  digitalWrite(Acces_Ordinateur_de_Bord, HIGH);
  digitalWrite(Selection_AV_OB1_OB2_Chrono, HIGH);
  digitalWrite(Selection_AR_Chrono_OB2_OB1, HIGH);
  digitalWrite(Selection_Source, HIGH);
  digitalWrite(Selection_Album_Radio, HIGH);

  
  
  Serial.begin(9600);
    
  mySwitch.enableReceive(0); // (Broche D2)
}

void loop() {
 



  Serial.print(mySwitch.getReceivedValue());
  unsigned long int num = mySwitch.getReceivedValue();
  Serial.print(num);
  switch(num)
  {

    // Chaque Code corespond à chaque bouton de la télécommade de S1 à S10.
    
    case 10948312: mySwitch.disableReceive(); // S1



     digitalWrite(Volume_Augmentation, LOW);   //If a HIGH signal is received, turn LED ON
     delay(50);
     digitalWrite(Volume_Augmentation, HIGH);   // Si un signal BAS est reçu, éteignez la LED
     delay(50);
   break;

    
    


    
 
    case 10948308: mySwitch.disableReceive(); // S2
    
    digitalWrite(Volume_Diminution, LOW);
    delay(50);
    digitalWrite(Volume_Diminution, HIGH);
    delay(50);
    break;
    



    case 10948316: mySwitch.disableReceive(); // S3

 digitalWrite(Plage_Suivante,LOW);
 delay(50);
 digitalWrite(Plage_Suivante,HIGH);
 delay(50);
 break;
  
 
    case 10948306: mySwitch.disableReceive(); // S4
     
    digitalWrite(Plage_Precedent, LOW);
    delay(50);
    digitalWrite(Plage_Precedent, HIGH);
    delay(50);
    break;

    case 10948314: mySwitch.disableReceive(); // S5

    digitalWrite(Klaxon, LOW);
    delay(200);
    digitalWrite(Klaxon, HIGH);
    delay(50);
    break;
 
    case 10948310: mySwitch.disableReceive(); // S6

    digitalWrite(Acces_Ordinateur_de_Bord, LOW);
    delay(100);
    digitalWrite(Acces_Ordinateur_de_Bord, HIGH);
    delay(100);
    break;

    case 10948318: mySwitch.disableReceive(); // S7
 
    digitalWrite(Selection_AV_OB1_OB2_Chrono, LOW);
    delay(100);
    digitalWrite(Selection_AV_OB1_OB2_Chrono, HIGH);
    delay(100);
    break;
 
    case 10948305: mySwitch.disableReceive(); // S8

    digitalWrite(Selection_AR_Chrono_OB2_OB1, LOW);
    delay(100);
    digitalWrite(Selection_AR_Chrono_OB2_OB1, HIGH);
    delay(100);
    break;

    case 10948313: mySwitch.disableReceive(); // S9

    digitalWrite(Selection_Source, LOW);
    delay(50);
    digitalWrite(Selection_Source, HIGH);
    delay(50);
    break;
 
    case 10948309: mySwitch.disableReceive(); // S10
  
    digitalWrite(Selection_Album_Radio, LOW);
    delay(50);
    digitalWrite(Selection_Album_Radio, HIGH);
    delay(50);
    break;

    
  
}

mySwitch.resetAvailable();
mySwitch.enableReceive(0);
}


    
